/*
** pat_ethaddr.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:49:38 1999 
** Last update Thu Oct 28 20:21:27 1999 
*/
#ifndef PAT_ETHADDR_H
#define PAT_ETHADDR_H	1

#include "pat.h"

typedef struct		s_ether_addr
{
  t_u8			o[6];
} t_ether_addr;

extern t_boolean	pat_etheraddr_dec_way;
extern t_pat		etheraddr_pat;

/* PROTO pat_ethaddr.c */
/* pat_ethaddr.c */
t_status etheraddr_from_str P((t_ether_addr *ea, char *str));
t_status etheraddr_to_str P((t_ether_addr *ea, char *str, int max_len));
char *typ_etheraddr_ntoa P((t_ether_addr *ea));
t_status etheraddr_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status etheraddr_pat_get_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *str, int max_len));
t_status etheraddr_pat_set_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *value));
t_status etheraddr_pat_get_fields P((void *data, t_vec *vec_str));
t_status etheraddr_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status etheraddr_pat_get_field_pat P((void *data, t_id *optional_id, char *buf, int len, char *field, t_pat **pat_return, void **data_return));
t_status etheraddr_pat_off P((void *data, char *buf, int len, t_off *off_return));
t_status etheraddr_pat_sub P((void *data, t_id *optional_id, char *buf, int len, t_pat **pat_return));
t_status etheraddr_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status etheraddr_pat_insert P((void *data, char *buf, int len, char *value));
#endif
